%h1
  Transactions mails
  = link_to "New transaction mail", new_project_transaction_path, class: "btn btn-outline-primary cta"
%br
- if @transactions.count > 0

  .row#transaction-index
    - @transactions.each do |transaction|
      .col-sm-6{style: "padding: 40px"}
        .card{style: "border-color: black"}
          %iframe.lazyiframe.card-img-top{data: {"html": "#{minify_content(transaction.preview_html_string)}", placeholder: "#{image_url("sm_Loading.gif")}"}}

          .card-body
            %h3
              code name:
              %b= transaction.code_name
            %h5
              real name:
              %b= transaction.name
              %br
              @:
              %b= transaction.sending_email.email
              %br
              subject:
              %b= transaction.subject

            %hr

            .row{style: "text-align: center;"}
              .col-sm-4
                =link_to project_transaction_path(@project, transaction) do
                  .btn.basic.btn-block
                    %i.material-icons
                      remove_red_eye
                    %br
                      show

              .col-sm-4
                =link_to "/projects/#{@project.id}/transactions/#{transaction.id}/design" do
                  .btn.basic.btn-block
                    %i.material-icons
                      crop_rotate
                    %br
                      design

              .col-sm-4
                =link_to edit_project_transaction_path(@project, transaction) do
                  .btn.basic.btn-block
                    %i.material-icons
                      settings
                    %br
                      settings
  .apple_pagination
    = will_paginate @transactions
  :javascript
    let loadIaframe = () => {

      if (document.querySelector("#transaction-index") && "IntersectionObserver" in window) {
        const lazy_iframes = document.querySelectorAll("iframe.lazyiframe")
        let lazyIframeObserver = new IntersectionObserver((entries, observer) => {

          entries.forEach(entry => {
            setTimeout(() => {

              if (entry.isIntersecting) {
                let lazyIframe = entry.target
                let el = lazyIframe.contentWindow.document.querySelector("html")

                el.innerHTML = lazyIframe.dataset.html
                el.style.zoom = "0.6"

                lazyIframeObserver.unobserve(lazyIframe)
              }
            }, 800);
          });

        });

        lazy_iframes.forEach(iframe => {
          let placeholder = document.createElement("img")
          placeholder.src = iframe.dataset.placeholder

          iframe.contentWindow.document.querySelector("body").appendChild(placeholder)

          lazyIframeObserver.observe(iframe)
        });
      }
      document.addEventListener('turbolinks:render', loadIaframe)
    }

    document.addEventListener('turbolinks:load', loadIaframe, {once: true})

-else
  = render partial: "./layouts/no_content", locals: {content_type: "transactions mails", btn_title: "New transaction mail", path: new_project_transaction_path}
